FreeMat

- Main Page
- Related Pages

vtkXMLPStructuredDataReader

Section: Visualization Toolkit IO Classes

# Usage

vtkXMLPStructuredDataReader provides functionality common to all parallel structured data format readers.

To create an instance of class vtkXMLPStructuredDataReader, simply invoke its constructor as follows

      obj = vtkXMLPStructuredDataReader

# Methods

The class vtkXMLPStructuredDataReader has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkXMLPStructuredDataReader class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkXMLPStructuredDataReader = obj.NewInstance ()`
- `vtkXMLPStructuredDataReader = obj.SafeDownCast (vtkObject o)`
- `vtkExtentTranslator = obj.GetExtentTranslator ()` - Get an extent translator that will create pieces matching the input file's piece breakdown. This can be used further down the pipeline to prevent reading from outside this process's piece. The translator is only valid after an UpdateInformation has been called.
- `obj.CopyOutputInformation (vtkInformation outInfo, int port)`